/* AmigaTemp V1.2 ARexx  */
/* Lists AlarmInfo       */

/* Start */
st = Show(P, 'AmigaTemp')                 /* Is program running? */
if st == 0 then                           /* No... */
do
   Address COMMAND                     
   
   'AmigaTemp CX_POPUP=NO'               /* Start AmigaTemp. Don't POPUP */
   if rc > 0 then do                      /* Program not found... */
      Say "Can't start AmigaTemp"
      exit
   end   
   
   do 2 while ~Show(P, 'AmigaTemp')    /* Wait until program has started or at least 20 sek */
      'waitforport AmigaTemp'
   end
   
   if ~Show(P, 'AmigaTemp') then do       /* Something is wrong... */
      Say "No contact with ARexx Port"
      exit
   end
end   

/* Main */
Options RESULTS                           /* Retrive the string result field */
Address 'AmigaTemp'                       /* Portname for AmigaTemp (Case sensitive) */ 

'Version'; Say result                     /* Write name and version */

'NumSensor'; numsensor = result           /* Number Of Sensors */

do i=1 to numsensor
   'Name' i                               /* Name of sensor */
   If rc == 0 then                        /* rc == 0 if sensor is connected */
   do
      name = result                       /* Name of sensor */
      'AlarmMax'     i; max = result      /* Max temperature */
      'AlarmMin'     i; min = result      /* Min temperature */
      'AlarmTextMax' i; textmax = result  /* Text for max temperature */
      'AlarmTextMin' i; textmin = result  /* Text for min temperature */
   
      Say name || ':'                     /* Write... */
      Say 'Max : ' || max || ' Text : ' || textmax
      Say 'Min : ' || min || ' Text : ' || textmin
   end
end i   

if st == 0 then 'Quit'                    /* Quit AmigaTemp if we started it */   
   
   
